#include "libreworkdesktopinterface.h"

#include <QObject>

#ifdef Q_OS_WIN
#include <WinSock2.h>
#include <windef.h>
#include <windows.h>
#include <QProcess>
#endif

int main(int argc, char * argv[])
{
#ifdef Q_OS_WIN
	BOOL isMember = FALSE;
	char adminSID[SECURITY_MAX_SID_SIZE];
	DWORD dwLength = sizeof(adminSID);
	if ( CreateWellKnownSid(WinBuiltinAdministratorsSid, NULL, &adminSID, &dwLength) )
	{
		CheckTokenMembership(NULL, &adminSID, &isMember);
	}
	if ( isMember )
	{
		QProcess::startDetached("explorer.exe");
		exit(0);
	}
#endif
	runLibreworkDesktop(argc, argv);
}
