#ifndef SESSIONMANAGER_H
#define SESSIONMANAGER_H

#include <QObject>
#include <QThread>

#ifdef Q_OS_WIN
#include <WinSock2.h>
#include <Windows.h>
#include <WtsApi32.h>
#endif

class SessionManager : public QThread
{
    Q_OBJECT

    public:
        SessionManager();

    signals:
        void clientConnectEvent();

    private:
        void run();
};

#endif // SESSIONMANAGER_H
