#!/bin/bash

PID=$$

export PATH=$PATH:/bin:/usr/bin:/usr/local/bin:/usr/games:/usr/sbin:/sbin

export XDG_CURRENT_DESKTOP=xfce
export OOO_FORCE_DESKTOP=kde4

export $(dbus-launch)

if ! [ -e "${HOME}/.librework/run" ]
then
	mkdir -p ${HOME}/.librework/run
fi

if ! [ -h "${HOME}/.kde/socket-${HOSTNAME}" ]
then
	rm -rf ${HOME}/.kde/socket-${HOSTNAME}
	mkdir ${HOME}/.kde
	mkdir -p /tmp/kde-${USER}
	ln -s /tmp/kde-${USER} ${HOME}/.kde/socket-${HOSTNAME}
fi

$("$@")

echo "$?" > ${HOME}/.librework/run/${PID}
